Subject: cygwin b19 and gmp-2.0.2
From: [email-masked] (David Goldberg)

4 Apr 1998 19:39:40 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

I compiled the gnu multiple precision library gmp-2.0.2
with both cygwin version b19 and mingw32.  When I used the resulting
library, I had a problem with cygwin that did not occur with mingw32
(this is under NT 4.0).

When compiling a program using the gmp routine mpz_out_str()
I got the error ___imp__iob undefined.

Here is the program and the output of gcc:

bash-2.01$ cat bug.c
#include <stdio.h>
#include "gmp.h"

main(argc, argv)
     char **argv;
{
    mpz_t x;

    mpz_init_set_ui(x, 23);
    mpz_out_str(stdout, 10, x);
    printf("\n\n");
    fflush(stdout);
}
bash-2.01$
bash-2.01$ gcc bug.c -L. -lgmp
../libgmp.a(out_str.o): In function `mpz_out_str':
/TEMP/gmp/mpz/out_str.c:47: undefined reference to `__imp__iob'
bash-2.01$
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".